Package org.eclipse.graphiti.notification

# Class DefaultNotificationService

java.lang.Object
org.eclipse.graphiti.notification.DefaultNotificationService

All Implemented Interfaces:
  `INotificationService`

public class DefaultNotificationService extends Object implements INotificationService
The Class DefaultNotificationService.

## Constructor Summary

Constructors
Constructor
Description
`DefaultNotificationService(IDiagramTypeProvider diagramTypeProvider)`
Creates a new `DefaultNotificationService`.

## Method Summary

Modifier and Type
Method
Description
`protected PictogramElement[]`
`calculateLinkedPictogramElements(ArrayList<Object> changedAndRelatedBOsList)`
Calculate linked pictogram elements.
`PictogramElement[]`
`calculateRelatedPictogramElements(Object[] changedBOs)`
Calculate dirty pictogram elements.
`protected IDiagramTypeProvider`
`getDiagramTypeProvider()`
Gets the diagram type provider.
`void`
`updatePictogramElements(PictogramElement[] dirtyPes)`
Update dirty pictogram elements.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultNotificationService

public DefaultNotificationService(IDiagramTypeProvider diagramTypeProvider)
Creates a new `DefaultNotificationService`.

Parameters:
  `diagramTypeProvider` - the diagram type provider

## Method Details

### getDiagramTypeProvider

protected IDiagramTypeProvider getDiagramTypeProvider()
Gets the diagram type provider.

Returns:
  the diagram type provider

### updatePictogramElements

public void updatePictogramElements(PictogramElement[] dirtyPes)
Update dirty pictogram elements.

Specified by:
  `updatePictogramElements` in interface `INotificationService`
Parameters:
  `dirtyPes` - the dirty pes

### calculateLinkedPictogramElements

protected PictogramElement[] calculateLinkedPictogramElements(ArrayList<Object> changedAndRelatedBOsList)
Calculate linked pictogram elements.

Parameters:
  `changedAndRelatedBOsList` - the changed and related BOs list
Returns:
  the pictogram element[]

### calculateRelatedPictogramElements

public PictogramElement[] calculateRelatedPictogramElements(Object[] changedBOs)
Calculate dirty pictogram elements.

Specified by:
  `calculateRelatedPictogramElements` in interface `INotificationService`
Parameters:
  `changedBOs` - the changed business objects
Returns:
  the pictogram element[]